Module java.naming
Package javax.naming.directory

## Class AttributeInUseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.directory.AttributeInUseException

- All Implemented Interfaces:
    `Serializable`

      public class AttributeInUseException
      extends NamingException

  This exception is thrown when an operation attempts to add an attribute that already exists.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    `DirContext.modifyAttributes(javax.naming.Name, int, javax.naming.directory.Attributes)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeInUseException​()` | Constructs a new instance of AttributeInUseException.
    `AttributeInUseException​(String explanation)` | Constructs a new instance of AttributeInUseException with an explanation.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### AttributeInUseException

          public AttributeInUseException​(String explanation)

      Constructs a new instance of AttributeInUseException with an explanation. All other fields are set to null.
      Parameters:
        `explanation` - Possibly null additional detail about this exception.
      See Also:
        `Throwable.getMessage()`

    - #### AttributeInUseException

          public AttributeInUseException​()

      Constructs a new instance of AttributeInUseException. All fields are initialized to null.